{% extends 'base.html' %}

{% load static %}

{% block style %}
<link rel="stylesheet" href="{% static 'css/login.css' %}">
{% endblock style%}

{%block content%}
<div class="container containform-register">
	<!-- Error Messages -->
	{% for message in messages %}
	<div class="alert alert-{{message.tags}} alert-dismissible fade show" role="alert">
		{{message}}
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
	  </div>
	{% endfor %}

	<!-- Register Form -->
	<div class="shadow p-5 mb-4 div-form rounded">
		<form method="POST">
			{%csrf_token%}
			<h1 class="judul">Sign Up</h1>
			<div class="form-group mb-4">
				<label for="inputUsername" class="label">Username</label>
				<input name="username" type="text" class="" id="inputUsername" placeholder="Username" required>
			</div>
			<div class="form-group mb-4">
				<label for="inputEmail" class="label">Email</label>
				<input name="email" type="email" class="" id="inputEmail" aria-describedby="emailHelp" placeholder="Enter email" required>
				<small id="emailHelp" class="form-text mute">We'll never share your email with anyone else.</small>
			</div>
			<div class="d-flex flex-row mb-4">
				<div class="mx-1">
					<label for="inputPassword1" class="label">Password</label>
					<input name="password" type="password" class="" id="inputPassword1" placeholder="Password" required>
				</div>
				<div class="mx-1">
					<label for="inputPassword2" class="label">Confirm Password</label>
					<input name="password1" type="password" class="" id="inputPassword2" placeholder="Confirm password" required>
				</div>
			</div>
			<button type="submit" class="btn btn-primary mt-3 w-100 rounded-sm">Submit</button>
		</form>
		<!-- <hr class="line mt-3"> -->
		<div class="mt-3">
			<small class="mute">Already have an account?</small>
			<a class="ke-register" style="color:#F7F7F7" href="{%url 'login' %}">Log in here</a>
		</div>
	</div>
</div>	
{%endblock content%}

{%block script%}
{%endblock script%}